---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: readarr
spec:
  selector:
    matchLabels:
      container: readarr
  template:
    metadata:
      labels:
        container: readarr
        is-container: 'true'
        use-fallback-network-policy: 'true'
        uses-compat-layer: tipi
    spec:
      containers:
      - env:
        - name: PGID
          value: '1000'
        - name: PUID
          value: '1000'
        - name: TZ
          value: UTC
        image: lscr.io/linuxserver/readarr:0.4.11-nightly
        name: readarr
        volumeMounts:
        - mountPath: /etc/localtime
          name: host-etc-localtime
        - mountPath: /config
          name: longhorn-own-data
          subPath: data
        - mountPath: /media
          name: longhorn-tipi-media
      volumes:
      - hostPath:
          path: /etc/localtime
        name: host-etc-localtime
      - name: longhorn-own-data
        persistentVolumeClaim:
          claimName: data
          readOnly: false
      - name: longhorn-tipi-media
        persistentVolumeClaim:
          claimName: mirrored-admin-tipi-media
          readOnly: false

